<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** 管理画面一覧へコメントの有効／無効を表示 *****/
/* https://nelog.jp/post-comment-status#%E3%82%B3%E3%83%A1%E3%83%B3%E3%83%88%E3%81%8C%E8%A8%B1%E5%8F%AF%E3%81%95%E3%82%8C%E3%81%A6%E3%81%84%E3%82%8B%E3%81%A8%E3%81%8D */
/* コメントが有効かどうかを判断するコールバック関数 */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function is_comment_open(){
	global $post;

	if ( isset($post->comment_status) ) {
		return $post->comment_status == 'open';
	}

	return false;
}

/* 投稿一覧のカラム作成 */
function haup_is_comment_column_register( $columns ) {
	if(haup_is_single()){
		$columns['Comopem'] =__('Comment','hima-art-utility');
	}

	return $columns;
}
add_filter( 'manage_posts_columns', 'haup_is_comment_column_register',5 );

/* 固定ページ一覧のカラム作成 */
function haup_is_comment_page_column_register( $columns ) {
	$columns['Comopem'] =__('Comment','hima-art-utility');
	return $columns;
}
add_filter( 'manage_pages_columns', 'haup_is_comment_page_column_register' ,5);

/* 有効／無効の出力 */
function haup_is_comment_column_display( $column_name, $post_id ) {
	$message_open = __('Opened','hima-art-utility');
	$message_close = __('Closed','hima-art-utility');

	switch ( $column_name ) {
	case 'Comopem':
		global $post;
		if(is_comment_open()){
			echo '<p class="com-open" style="background:#04ab04;color:#fff;text-align:center;font-weight:700;padding: 2px;border-radius: 4px;">';
			echo '<em>'.esc_html($message_open).'</em></p>';
		break; // end all case breaks
		}else{
			echo '<p class="com-close" style="color:#999;text-align:center;">';
			echo '<em>'.esc_html($message_close).'</em></p>';
		break; // end all case breaks
		}
	}
}
add_action( 'manage_posts_custom_column', 'haup_is_comment_column_display', 5, 2 );
add_action( 'manage_pages_custom_column', 'haup_is_comment_column_display', 5, 2 );

/* 管理画面上のスタイル */
function haup_admin_is_comment_column_style_init(){
$custom_css_pre = "
/* HAUP Comment Column Width */
.fixed .column-Comopem {width:10%;}
";

	//スタイルコードを改行なしで整形する
	$custom_css = str_replace(PHP_EOL, '', $custom_css_pre);

	wp_add_inline_style('haup-only-admin-style', $custom_css );
}
add_action('admin_enqueue_scripts','haup_admin_is_comment_column_style_init');